antiprism-0.23
Up Next

# kcycle - kaleidocycle rings of polyhedron

Usage | Examples | Notes

## Usage

    Usage: kcycle [options] hinge_vertex_idxs

    Make a kaleidocyle from a polyhedron. hinge_vertex_idxs is four integers
    separated by commas (e.g. 0,1,2,3). These are the index numbers of the
    vertices for the two eges that will be hinges in the cycle.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -a <ang>  angle in degrees to rotate the first hinge from
                horizontal (default: 0.0)
      -n <num>  number of pairs of polyhedra in cycle (default: 6)
      -i <file> input file in OFF format. If '-' then read file from stdin.
                (default: a tetrahedron with hinge_vertex_idxs 0,1,2,3)
      -o <file> write output to file (default: write to standard output)

## Examples

Tetrahedron kaleidocycle rotated 40 degrees from horizontal

    kcycle -a 40 > kc_tet_90.off

Ring of 16 icosahedra, each given a proper coloring, rotated 90 degrees, and displayed in antiview

    off_color -f P icosahedron | kcycle -i - -n 8 -a 90 0,1,10,11 | antiview -v 0.1

## Notes

The ring has coinciding vertices. To display the vertices or edges in antiview or off2pov their size must be set manually using options -v or -e

Up: Programs and Documentation
Next: leonardo - Leonardo da Vinci style models